Skip to main content
GET
/
transactions
/
{transaction_hash}
/
token-transfers
get transaction token transfers
curl --request GET \
  --url https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/token-transfers
import requests

url = "https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/token-transfers"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/token-transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "block_hash": "0xf569ec751152b2f814001fc730f7797aa155e4bc3ba9cb6ba24bc2c8c9468c1a",
      "from": {
        "hash": "0xcc4e74EB7F0D2F3e8c86Ac08A6B70689F564b226",
        "implementation_name": null,
        "is_contract": false,
        "is_verified": false,
        "name": null,
        "private_tags": [],
        "public_tags": [],
        "watchlist_names": []
      },
      "log_index": "243",
      "method": null,
      "timestamp": null,
      "to": {
        "hash": "0xEf8801eaf234ff82801821FFe2d78D60a0237F97",
        "implementation_name": null,
        "is_contract": false,
        "is_verified": false,
        "name": null,
        "private_tags": [],
        "public_tags": [],
        "watchlist_names": []
      },
      "token": {
        "address_hash": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
        "circulating_market_cap": "83606435600.3635",
        "decimals": "6",
        "exchange_rate": "0.999487",
        "holders_count": "1149",
        "icon_url": null,
        "name": "Tether USD",
        "symbol": "USDT",
        "total_supply": "39030615894320966",
        "type": "ERC-20"
      },
      "total": {
        "decimals": "6",
        "value": "830000000"
      },
      "transaction_hash": "0x6662ad1ad2ea899e9e27832dc202fd2ef915a5d2816c1142e6933cff93f7c592",
      "type": "token_transfer"
    }
  ],
  "next_page_params": {
    "batch_block_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "batch_log_index": 0,
    "batch_transaction_hash": "0x0000000000000000000000000000000000000000000000000000000000000000",
    "index_in_batch": 1
  }
}

Path Parameters

transaction_hash
string
required

Transaction hash

Pattern: ^0x([A-Fa-f0-9]{64})$

Query Parameters

type
string
Example:

"ERC-20,ERC-721,ERC-1155"

Response

token transfers

items
object[]
required
next_page_params
object
required
Example:
{
"block_number": 27350206,
"index": 1,
"items_count": 50,
"transaction_hash": "0xa3b401d6f3124c9d1528cd8d4b692f523d86fd88e48c391ffe9c67e4436ae5ca"
}